- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_profile_http_compression – Manage HTTP compression profiles on a BIG-IP

New in version 2.7.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage HTTP compression profiles on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
buffer_size integer |  | Maximum number of compressed bytes that the system buffers before inserting a Content-Length header (which specifies the compressed size) into the response. When creating a new profile, if this parameter is not specified, the default is provided by the parent profile.
description string |  | Description of the HTTP compression profile.
gzip_level integer | Choices: 1 2 3 4 5 6 7 8 9 | Specifies the degree to which the system compresses the content. Higher compression levels cause the compression process to be slower. Valid values are between 1 (least compression and fastest) to 9 (most compression and slowest).
gzip_memory_level integer | Choices: 1 2 4 8 16 32 64 128 256 | Number of kilobytes of memory that the system uses for internal compression buffers when compressing a server response.
gzip_window_size integer | Choices: 1 2 4 8 16 32 64 128 | Number of kilobytes in the window size that the system uses when compressing a server response.
name string / required |  | Specifies the name of the compression profile.
parent string |  | Specifies the profile from which this profile inherits settings. When creating a new profile, if this parameter is not specified, the default is the system-supplied `httpcompression` profile.
partition string | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
state string | Choices: present ← absent | When `present`, ensures that the profile exists. When `absent`, ensures the profile is removed.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create an HTTP compression profile
      bigip_profile_http_compression:
        name: profile1
        description: Custom HTTP Compression Profile
        buffer_size: 131072
        gzip_level: 6
        gzip_memory_level: 16k
        gzip_window_size: 64k
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
buffer_size integer | changed | The new buffer size of the profile. Sample: 4096
description string | changed | The new description of the resource. Sample: My custom profile
gzip_level integer | changed | The new GZIP level of the profile. Smaller is less compression. Sample: 2
gzip_memory_level integer | changed | The new GZIP memory level, in KB, of the profile. Sample: 16
gzip_window_size integer | changed | The new GZIP window size, in KB, of the profile. Sample: 64

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.